#!/bin/sh -f

#
# File produced by the obuild tool version @@obuild_version@@
# for the package @@package@@ with version @@version@@.
#

#////////////////////////////////////////////////
# Usage :
#   UNIX> cd some_path/pack/version/obuild
# ( UNIX> chmod a+x sh/build )
#   UNIX> sh/build
#
#////////////////////////////////////////////////

obuild_verbose=no
obuild_set_x=no

obuild_args=""
while test $# -ge 1 ; do
  case $1 in
    -h) 
        echo "Usage :"
        echo "  UNIX> sh/build [Options]"
        echo "Options :"
        echo "  -v : verbose."
        echo "  -x : execute with set -x."
        echo "  -* : passed to packages build script."
        echo ""
        exit ;;
    -v) obuild_verbose=yes;obuild_args="${obuild_args} $1" ;;
    -x) obuild_set_x=yes;obuild_args="${obuild_args} $1" ;;
     *) obuild_args="${obuild_args} $1" ;;
  esac
  shift
done

if [ ${obuild_set_x} = yes ] ; then
  set -x
fi

if [  "${OBUILD_DIR_BIN}" = "" ] ; then
  @@dir_bin_variable@@=bin_obuild
else
  @@dir_bin_variable@@=${OBUILD_DIR_BIN}
fi

if [ "${@@dir_bin_variable@@}" = "" ] ; then
  echo "@@dir_bin_variable@@ variable not defined."
  exit
fi

obuild_pwd=`pwd`
@@path_variable@@=`dirname "${obuild_pwd}"`
unset obuild_pwd

# Create the bin directory :
/bin/mkdir -p "@@dir_bin@@"

