#!/bin/sh -f

if test $# -eq 1 ; then
  package=$1
  echo ${package}
  if [ "${CVSROOT}" = "" ] ; then
    echo "CVSROOT not defined."
    exit
  fi
  if test ! -d cpp ; then
    exit
  fi
  cd cpp
  cvs import -m "" ${package}/obuild/cpp Barrand v0r0
  cd ..
  /bin/rm -R -f ./cpp
  cvs update -A -d -P
  find . -name "build_*.sh" -maxdepth 1 -print -exec cvsrm {} \;
else
  echo "one arguments expected."
fi


